<?php

/**
 * Show ENVironment INFO result from Admin Menu
 *
 * @module          env_info 
 * @author          Wolfgang Studer
 * @copyright       2014 Wolfgang Studer
 * @link            http://www.LEPTON-cms.org
 * @license         BSD License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1 2014-11-17
 */ 

// include class.secure.php to protect this file and the whole CMS!
if (defined('WB_PATH')) {	
	include(WB_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php

/**
 *
 * AddOn: return MySQL variables
 *
 */

// function return result array
function getMYSQL_VARIABLE()
{
	global $database;
	
	// define the array
	$envinfoArray = Array();
	
	$query = "SHOW VARIABLES";
		
	if ( $query_modules = $database->query( $query) ):
		$envinfoArray['MYSQL Variable'] = Array();
		
		while ( $res = $query_modules->fetchRow() ):
			$envinfoArray['MYSQL Variable'][ $res['Variable_name'] ] = $res['Value'];
		endwhile;
	endif;

	// return the array
	return $envinfoArray;
}

// return the select option
	$infoItems["getMYSQL_VARIABLE"] = "MYSQL_VARIABLE";

	
// Add translation
	switch ( LANGUAGE):
	case "DE":
			$ENVINFOTEXT['MYSQL_VARIABLE'] = "MySQL Variable - Gibt Variablen der MySQL Datenbank aus.";
			break;
	default:
			$ENVINFOTEXT['MYSQL_VARIABLE'] = "MySQL Variable - Shows Variables of MySQL Database.";
	
	endswitch;

?>
