<?php
 
/**
 * Show ENVironment INFO result from Admin Menu
 *
 * @module          env_info 
 * @author          Wolfgang Studer
 * @copyright       2014 Wolfgang Studer
 * @link            http://www.LEPTON-cms.org
 * @license         BSD License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1 2014-11-17
 */ 

// include class.secure.php to protect this file and the whole CMS!
if (defined('WB_PATH')) {	
	include(WB_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php

 
 
 
$module_directory = 'env_info';
$module_name = 'Environment Info';
$module_function = 'tool';
$module_version = '1.1.2';
$module_platform = '1.x';
$module_author = 'Wolfgang Studer';
$module_license	= 'BSD License';
$module_description = 'This module shows various environment information';
$module_guid      = '9AB413E4-5E5C-4A1A-B7AE-58B5018EDC4E';

/**
 * Version History
 * ================
 *
 *  1.1.2   - Nov 26, 2014 - Changes
 *                           * TOOL: show header & footer around generated output only when data to be displayed has been found; redesign "Nodata found" output.
 *                           * outRAW_ARRAY: rename dropdown entry to SIMPLE TEXT" and allow output of text instead of unformatted print_r additionally.
 *							 * infoCMS_MODULE: variable issue bugfix
 *                           * outRAW_ARRAY, outPRINT_ARRAY, outTEXT_TREE: wrap output in a scrollable div, so it does not go ouside layout borders
 *							 * infoSECTION_PICKER: add logic so it should work in WebsiteBaker too.
 *							 * backend.css: add some new classes to support above changes
 *
 *  1.1.1   - Nov 25, 2014 - Enhancements
 *                           * Add sectionpicker only to selection list if module is installed.
 *                           * assign default output type to initial screen
 *
 *  1.1.0   - Nov 25, 2014 - Enhancements
 *                           * GoTop Link at page end
 *                           * Additional translation entries
 *                           * alphabetic sort of info selection drop down entries
 *                           * various output types
 *                           * add new selection type SectionPicker
 *                         - Changes
 *                           * slight layout changes
 *                           * several code changes
 *
 *  1.0.0   - Nov 24, 2014 - first published version
 *
 **/
?>