		 <?php
 
/**
 * Show ENVironment INFO result from Admin Menu
 *
 * @module          env_info 
 * @author          Wolfgang Studer
 * @copyright       2014 Wolfgang Studer
 * @link            http://www.LEPTON-cms.org
 * @license         BSD License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1 2014-11-17
 */ 

// include class.secure.php to protect this file and the whole CMS!
if (defined('WB_PATH')) {	
	include(WB_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php

 
// function to count depth of levels
function array_depth( $array, $level, &$array_depth ) 
{
	// build totallevel
	if ( $level > $array_depth ):
		$array_depth = $level;
	endif;
	
	// recurvice check until depest item has been reached
	if ( is_array($array) == TRUE ):			// check if input is an array
		foreach( $array as $key_val => $value ):
			if ( is_array($value) == TRUE ):			// check if input is an array
				array_depth($value, $level+1, $array_depth);
			endif;
		endforeach;
    else: // argument $array is not an array
        return;
    endif;
}

// start function to build GoTo List
function buildGoTo( $array, $level ) 
{
	global $gotoItems;
	global $envinfoArray;

	while ( list( $rootkey, $dataArray ) = each( $array ) ):
		// add each root level key into root array
		if ( is_array($dataArray) == TRUE ):
			$gotoItems[ 'L'.$level.'-'.$rootkey ] = str_repeat("- ", $level ) . ' ' . $rootkey;
			
			// get childs
			buildGoTo( $dataArray, $level+1 );
		endif;
	endwhile;
}

?> 