<?php

/**
 * Show ENVironment INFO result from Admin Menu
 *
 * @module          env_info 
 * @author          Wolfgang Studer
 * @copyright       2014 Wolfgang Studer
 * @link            http://www.LEPTON-cms.org
 * @license         BSD License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1 2014-11-17
 */

// include class.secure.php to protect this file and the whole CMS!
if (defined('WB_PATH')) {	
	include(WB_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php



//Modulbeschreibung
$module_description = "Dieses Modul zeigt verschiedene Informationen zum aktuellen Environment";

//Variablen fuer backend Texte
$ENVINFOTEXT['LABEL_INFO'] 			= "Info Typ";
$ENVINFOTEXT['LABEL_OUT'] 			= "Ausgabe als";
$ENVINFOTEXT['LABEL_GOTO'] 			= "Springe zu";
$ENVINFOTEXT['SUBMIT']				= "Infos anzeigen";
$ENVINFOTEXT['CANCEL']				= "Zurck zu den Admin Tools";
$ENVINFOTEXT['GOTO_TOP'] 			= "zum Anfang der Seite";

$ENVINFOTEXT['SELECT_INFO'] 		= "Bitte auswhlen ...";
$ENVINFOTEXT['SELECT_OUT'] 			= "Bitte auswhlen ...";
$ENVINFOTEXT['SELECT_GOTO'] 		= "Gehe direct nach ...";

$ENVINFOTEXT['NODATA'] 				= "Keine Daten gefunden !";

?>